// 描画領域、カメラ、ライトの設定
var renderer = new THREE.WebGLRenderer({ antialias: true});
renderer.setSize( 800, 600 );	// サイズを指定
renderer.setClearColor( 0xcfcfff );	// 背景色を指定
document.body.appendChild( renderer.domElement );	// ページ末尾に追加
var camera = new THREE.PerspectiveCamera( 70, 1.0, 1, 1000 );	// カメラ画角などの設定
camera.position.set(0, 0, 40);	// カメラ位置の設定
var scene = new THREE.Scene();	// シーンの生成
var light = new THREE.DirectionalLight(0xffffff, 1.25);	// ライトを生成
light.position.set(70, 120, 2000);	// ライトの位置を設定
scene.add(light);	// ライトを追加
// 円錐（Cylinder）を生成してシーンに追加
var cylinder = new THREE.Mesh(
	new THREE.CylinderGeometry( 0, 5, 20, 50, 10, false ),	// 円錐のサイズと分割数
	new THREE.MeshLambertMaterial( { color : 0xff0000 } )	// Lambertで色を指定
);
cylinder.rotation.x = Math.PI/5;	// 円錐を回転
scene.add(cylinder);	// シーンに円錐を追加
renderer.render( scene, camera );	// シーンを描画
